ofbiz-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jacques Le Roux <jacques.le.r...@les7arts.com>
Subject Re: Project 'ofbiz' is missing required library: 'framework/catalina/lib/tomcat-6.0.36-ecj-3.7.jar
Date Fri, 08 Feb 2013 08:44:09 GMT
Thanks for report Medhat,

It's fixed in 11.04 branch, I don't think we will create a new release for that.
Trunk was correct.

Jacques

From: "Medhat Abdel Badie" <medhat7173@gmail.com>
> Hi,
> 
> When I tried to open ofbiz-11.04.02 in Eclipse I got the following Error :
> 
>        Project 'ofbiz' is missing required library:
> 'framework/catalina/lib/tomcat-6.0.36-ecj-3.7.jar
> 
> This Error preventing build from Eclipse but the project still be built
> from command line prompt.
> 
> After Investigations i found the following:
> 
> The file :  '.classpath' in the project installation directory contains the
> following entry @ line 127
> 
>        <classpathentry kind="lib"
> path="framework/catalina/lib/tomcat-6.0.36-ecj-3.7.jar"/>
> 
> To solve this Issue Replace this line with the following entry
> 
>        <classpathentry kind="lib"
> path="framework/catalina/lib/ecj-3.7.2.jar"/>
> 
> because the jar file shipped with ofbiz in the path:
> "framework/catalina/lib/" has the file name: 'ecj-3.7.2.jar'
> 
> 
> I hope this helps.
> 
> Regards,
> Medhat
>

Mime
View raw message